PROC GLOBAL  
{ IMPORTANT NOTICE TO MICS4 USERS  !!!
 
  You MUST read the file c:\MICS4\CSPro\Super\Field Check Tables Setup and Production.doc 
  
  for this program to be able to compile, and for you to be able to read the results.
}

  set explicit;
  
  numeric byteam, t, i, itot, j, jtot, jtot1, jtot2, jtot3, jmax, jmin, rrmin;
  numeric j4, j5, j14, j15, unitx, number, hwage, hwvalue, hwsex, hwerr, wvalue, hvalue;
  numeric ismonth, isyear, isage, valdate;
  numeric fc2w_urb, fc2w_rur, fc4w_tar, fc6_tar;
  numeric fc7_tar, fc8w_tar, fc8_tar, fc5_tar, fc9_tar, fc10_tar;
  numeric fc14_t1, fc14_t2, fc14_t3, fc15_tar;
  numeric fc2c_urb, fc2c_rur, fc4c_tar;
  numeric fc2m_urb, fc2m_rur, fc4m_tar, fc6m_tar, fc7m_tar;
  
  crosstab float(1) FC1 Fteams+Ftotal HH9+Ftotaln+Fhhrate
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-1: Household response rate", " ",
           "Percent distribution of sampled households by results of household",
           "interview, according to interviewer team.",
           "Country 2010" ) 
    stub ("Team");
    {EN+}
    {{FR}
    title( "FC-1: Taux de rponse des mnages", " ",
           "Rpartition (en %) des mnages slectionns par rsultat de l'enqute mnage,",
           "selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}

  crosstab float(2) FC2W Fteams+Ftotal URBRUR*Fhhmean
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-2W: Eligible women per household","",
           "Mean number of eligible women per household,",
           "according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}
    {{FR}    
    title( "FC-2W: Femmes ligibles par mnage", " ",
           "Nombre moyen de femmes ligibles par mnage, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}

  crosstab float(2) FC2C Fteams+Ftotal URBRUR*Fhhmeanc
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-2C: Eligible children under 5 per household","",
           "Mean number of eligible children per household,",
           "according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}   
    {{FR}    
    title( "FC-2C: Enfants de moins de cinq ans ligibles par mnage", " ",
           "Nombre moyen d'enfants de moins de 5 ans ligibles par mnage, ",
           "selon l'quipe.",             
           "Pays 2010" )
    stub ("Equipe");
    {FR}}        
{{Men}
  crosstab float(2) FC2M Fteams+Ftotal URBRUR*Fhhmeanm
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-2M: Eligible men per household","",
           "Mean number of eligible men per household,",
           "according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}
    {{FR}    
    title( "FC-2M: Hommes ligibles par mnage", " ",
           "Nombre moyen de hommes ligibles par mnage, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}
{Men}}

  crosstab float(1) FC3W Fteams+Ftotal WM7+Ftotaln
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-3W: Eligible woman response rate","",
           "Percent distribution of eligible women by result",
           "of individual interview, according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}   
    {{FR}         
    title( "FC-3W: Taux de rponse des femmes ligibles", " ",
           "Repartition (en %) des femmes eligibles par resultat de l'enquete femme, ",
           "selon l'quipe.",             
           "Pays 2010" )
    stub ("Equipe");
    {FR}}      

  crosstab float(1) FC3C Fteams+Ftotal UF9+Ftotaln
    exclude( percents, totals, specval )
    {+EN}    
    title( "FC-3C: Eligible child response rate","",
           "Percent distribution of eligible children under the age of 5 years by result of individual interview with mother/caretaker","",
           "of individual interview, according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}          
    {{FR}  
    title( "FC-3C: Taux de reponse des enfants eligibles","",
           "Repartition (en %) des enfants de moins de 5 ans par resultat de l'interview individuelle","",
           "avec la mre/gardienne, selon l'equipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}     
    
{{Men}
  crosstab float(1) FC3M Fteams+Ftotal MWM7+Ftotaln
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-3M: Eligible man response rate","",
           "Percent distribution of eligible men by result",
           "of individual interview, according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}   
    {{FR}         
    title( "FC-3M: Taux de rponse des hommes ligibles", " ",
           "Repartition (en %) des hommes elgibles par resultat de l'enquete homme, ",
           "selon l'quipe.",             
           "Pays 2010" )
    stub ("Equipe");
    {FR}}      
{Men}}

  crosstab float(2) FC4W Fteams+Ftotal Fage+Ftotalw+Fratio+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-4W: Age displacement: women","",
           "Number of all women age 12-18 years listed in the household",
           "schedule by single year of age and age ratio 15/14,",
           "according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}  
    {{FR}  
    title( "FC-4W: Deplacement de l'ge: femmes","",
           "Nombre de femmes gees de 12-18 ans listees dans le tableau de menage",
           "par annee d'ge et ratio d'ge 15/14,",
           "selon l'equipe, Pays 2010" )
    stub ("Equipe");
    {FR}}         
           
  crosstab float(2) FC4C Fteams+Ftotal fagec+Ftotalc+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-4C: Age displacement: children","",
           "Number of children age 3-8 years listed in the household",
           "schedule by single year of age and age ratio 4/5,",
           "according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}         
    {{FR}  
    title( "FC-4C: Deplacement d'ge: enfants","",
           "Nombre d'enfants ages de 3-8 ans listes dans le tableau de menage",
           "par annee d'ge et ratio d'ge 4/5,",
           "selon l'equipe	, Pays 2010" )
    stub ("Equipe");
    {FR}}  
    
{{Men}
  crosstab float(2) FC4M Fteams+Ftotal Fagem+Ftotalw+Fratio+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-4M: Age displacement: men","",
           "Number of all men age 12-18 years listed in the household",
           "schedule by single year of age and age ratio 15/14,",
           "according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}  
    {{FR}  
    title( "FC-4W: Deplacement de l'ge: hommes","",
           "Nombre de hommes gees de 12-18 ans listees dans le tableau de menage",
           "par annee d'ge et ratio d'ge 15/14,",
           "selon l'equipe, Pays 2010" )
    stub ("Equipe");
    {FR}}         
{Men}}                 					


  crosstab float(1) FC5 Fteams+Ftotal Fceb+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-5: Children ever born","",
           "Number of all women with a completed interview, total number",
           "of children ever born (CEB), and mean number of CEB,",
           "according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}   
    {{FR}  
    title( "FC-5: Enfants nes vivants","",
           "Nombre de femmes enqutees, Nombre total d'enfants nes vivants (ENV)",
           "et nombre moyen d'ENV, selon l'equipe,",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}
           
  crosstab float(1) FC6 Fteams_t6*Fwmrate+Ftotal*Fwmrate fagew1+Ftotalw+Fmin+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-6: Age distribution of woman interviewed","",
           "Number of women age 15-49 years listed in the household schedule ",
           "and proportion successfully interviewed age group, ",
           "according to interviewer team, Country 2010" );
    {EN+}   
    {{FR}     
    title( "FC-6: Rpartition des femmes enqutes par ge","",
           "Nombre de femmes ges de 15-49 ans listes dans le tableau de mnage ",
           "et proportion de groupe d'ge enqut avec succs, selon l'quipe.",
           "Pays 2010" );
    {FR}}       
    
{{Men}           

  crosstab float(1) FC6M Fteams_t6*Fmnrate+Ftotal*Fmnrate fagem1+Ftotalm+Fmin+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-6M: Age distribution of man interviewed","",
           "Number of men age 15-49 years listed in the household schedule ",
           "and proportion successfully interviewed age group, ",
           "according to interviewer team, Country 2010" );
    {EN+}   
    {{FR}     
    title( "FC-6M: Rpartition des hommes enqutes par ge","",
           "Nombre de hommes gs de 15-49 ans listes dans le tableau de mnage ",
           "et proportion de groupe d'ge enqut avec succs, selon l'quipe.",
           "Pays 2010" );
    {FR}}       
{Men}}

  crosstab float(1) FC7W Fteams+Ftotal Fcompl+Ftotaln+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-7W: Birth date reporting: Women","",
           "Percent distribution of completeness of date of birth/age reporting information for women","",
           "according to interviewer team,",
           "Country 2010" )
    stub ("Team");
    {EN+}           
    {{FR}     
    title( "FC-7W: Enregistrement de date de naissance: Femmes","",
           "Rpartition (en %) de compltude des informations",
           "sur l'enregistrement de date de naissance/ge des femmes, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}     
           
  crosstab float(1) FC7C Fteams+Ftotal Fcompl+Ftotaln+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-7C: Birth date reporting: Children","",
           "Percent distribution of completeness of date of birth/age reporting information ",
           "for children under the age of 5 years, according to interviewer team",
           ", Country 2010" )
    stub ("Team");
    {EN+}  
    {{FR}     
    title( "FC-7C: Enregistrement de data de naissance: Enfants","",
           "Rpartition (en %) de compltude des informations sur l'enregistrement ",
           "de date de naissance/ge des enfants de moins de 5 ans, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}              
    
{{Men}
  crosstab float(1) FC7M Fteams+Ftotal Fcompl+Ftotaln+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-7M: Birth date reporting: Men","",
           "Percent distribution of completeness of date of birth/age reporting information for men","",
           "according to interviewer team,",
           "Country 2010" )
    stub ("Team");
    {EN+}           
    {{FR}     
    title( "FC-7M: Enregistrement de date de naissance: Hommes","",
           "Rpartition (en %) de compltude des informations",
           "sur l'enregistrement de date de naissance/ge des hommes, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}     
{Men}}

  crosstab float(1) FC8W Fteams+Ftotal Fcompd+Ftotaln
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-8W: Question responses by team","",
           "Percentage (or mean number) of certain responses to key questions in the household and women's questionnaires",
           "according to interviewer team, Country 2010")
    stub ("Team");
    {EN+} 
    {{FR}     
    title( "FC-8W: Rponses des questions par quipe","",
           "Pourcentage (ou nombre moyen) de certaines rponses  des ",
           "questions cls des questionnaires de mnage et de femme, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}                
  crosstab float(1) FC8H Fteams+Ftotal Ftotaln
    exclude( percents, totals, specval )
    noprint;
    
  crosstab float(1) FC8C  Fteams+Ftotal Fdiarrheap+Fcoughp+Ffeverp+Ftotaln
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-8C: Question responses by team","",
           "Percentage (or mean number) of certain responses to key questions",
           "in the children's questionnaires, according to interviewer team.",
           "Country 2010" )
    stub ("Team");
    {EN+}        
    {{FR}     
    title( "FC-8C: Rponses de questions par quipe","",
           "Pourentage (nombre moyen) de certaines rponses",
           " des questions cls du questionnaire des enfants, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}          
    
{{Men}
  crosstab float(1) FC8M Fteams+Ftotal Fcompm+Ftotaln
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-8M: Question responses by team","",
           "Percentage (or mean number) of certain responses to key questions in the men's questionnaires",
           "according to interviewer team, Country 2010")
    stub ("Team");
    {EN+} 
    {{FR}     
    title( "FC-8M: Rponses des questions par quipe","",
           "Pourcentage (ou nombre moyen) de certaines rponses  des ",
           "questions cls des questionnaires de mnage et de homme, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}                
{Men}}
 
  crosstab float(1) FC9  Fteams+Ftotal Fbcert1+Fbcert2+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-9: Birth registration","",
           "Percentage of children under 5 who have a birth certificate,",
           "whether the birth certificate was seen by the interviewer,",
           "and percentage of children whose birth has been registered,",
           "and proportion of birth certificates seen,",
           "according to interviewer team. Country 2010" )
    stub ("Team");
    {EN+}  
    {{FR}     
    title( "FC-9: Enregistrement des naissances","",
           "Pourcentage d'enfants de moins de 5 ans qui ont un certificat de naissance,",
           "pourcentage que le certificat de naissance a t vu par l'enquteur",
           "pourcentage d'enfants dont la naissance a t enregistre,",
           "et proportion de certificats de naissance vus,",
           "selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}          
           
  crosstab float(1) FC10 Fteams+Ftotal Fcardr+Fcardp+Ftarget
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-10: Vaccination cards","",
           "Percentage of children under 5 who",
           "currently have a health card and of children whose health card",
           "was seen by the interviewer and proportion of cards seen,",
           "according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}      
    {{FR}     
    title( "FC-10: Carnets de vaccination","",
           "Pourcentage d'enfants de moins de 5 ans",
           "ont actuellement un carnet de vaccination, pourcentage d'enfants ",
           "dont le carnet de vaccination a t vu par l'enquteur, ",
           "et proportion de carnets vus, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}           


  crosstab float(1) FC11 Fteams+Ftotal fwc11+Ftotalc2+Fhwc
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-11: Height and weight: children","",
           "Percent distribution of children under 5 eligible for height and",
           "weight by result of height and weight measurement, and percentage of",
           "children measured who have out of range values or incomplete date",
           "of birth, according to interviewer team, Country 2010" )
    stub ("Team");
    {EN+}  
    {{FR}     
    title( "FC-11: Taille et poids: enfants","",
           "Rpartition (en %) d'enfants de moins de 5 ans ligibles pour les mesures ",
           "de taille et poids par rsulat de mesure de taille et poids, ",
           "et pourcentage d'enfants mesurs qui ont des valeurs en dehors ",
           "des limites ou une date de naissance incomplte, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}                
           
  crosstab float(1) FC12 Fteams+Ftotal Foedema+Ftotalc2
    exclude( percents, totals, specval )
    {+EN}
    title( "FC-12: Oedema: children","",
           "Percent distribution of children under 5 years of age eligible for height",
           "and weight by result of oedema observation, according to interviewer team,",
           "Country 2010" )
    stub ("Team");
    {EN+}    
    {{FR}     
    title( "FC-12: dme : enfants","",
           "Rpartition (en %) d'enfants de moins de 5 ans ligibles pour les mesures ",
           "de taille et poids par rsultat de l'observation d'oedme, selon l'quipe.",
           "Pays 2010" )
    stub ("Equipe");
    {FR}}              

             
  function valid(xvar);
    valid = ( !special(xvar) & xvar <= 96 )
  end;

  function validyr(xvar);
    validyr = ( !special(xvar) & xvar <= 9996 )
  end;

PROC MICS4_FF
preproc

  Ftotal   = 1;
  Ftotalb  = 1;
  Ftotald  = 1;
  Ftotalb9 = 1;
  Ftotaln  = 1;
  Ftotalw  = 1;
  Ftotalm  = 1;
  Ftotalc  = 1;
  Ftotalc2 = 1;
  Ftotalc3 = 1;
  Ftotalw2 = 1;
  Ftotalm2 = 1;
  Ftarget  = notappl;
  fratio   = notappl;
  fratiob  = notappl;
  fratiom  = notappl;
  fratiod  = notappl;
  fratio9  = notappl;
  Fhhrate  = notappl;

  byteam = ( sysparm()[1:1] = "T" );

  { Targets }
  fc2w_urb = 0.90;     { !! request target from CM }
  fc2w_rur = 0.88;     { !! request target from CM }
  fc2c_urb = 0.84;     { !! request target from CM }
  fc2c_rur = 0.86;     { !! request target from CM }
  fc2m_urb = 0.90;     { !! request target from CM }
  fc2m_rur = 0.88;     { !! request target from CM }
  fc4w_tar = 0.8;
  fc4c_tar = 0.8;
  fc4m_tar = 0.8;
  fc5_tar  = 2.2;      { !! request target from CM }
  fc6_tar  = 90;
  fc6m_tar = 90;
  fc7_tar  = 98;
  fc7m_tar = 98;
  fc10_tar = 90;
  fc9_tar  = 90;
  fc14_t1  = 2;
  fc14_t2  = 0;
  fc14_t3  = 0;
  fc15_tar = 5;

postproc

  { Table FC1 }
  jtot    = tblcol( FC1, Ftotaln );
  jmax    = jtot - 2;
  { Percents }
  do j = 0 while j <= jmax by 1
    FC1[*,j] = FC1[*,j] * 100 / FC1[*,jtot];
  enddo;
  { Total }
  FC1[*,jtot-1] = tblsum( column FC1[*,0:jmax] );
  { !! Household response rate }
  FC1[*,jtot+1] = FC1[*,0] * 100 / ( FC1[*,0] + FC1[*,1] + FC1[*,3] + FC1[*,6]);

  
  { Table FC2W }
  jtot1 = tblcol( FC2W, URBRUR = 1 FHHMEAN = 2 );   { mean for urban }
  jtot2 = tblcol( FC2W, URBRUR = 2 FHHMEAN = 2 );   { mean for rural }
  itot = tblrow(  FC2W );
  { Means }
  FC2W[*,jtot1] = FC2W[*,jtot1-1] / FC2W[*,jtot1-2];
  FC2W[*,jtot2] = FC2W[*,jtot2-1] / FC2W[*,jtot2-2];
  { Targets }
  do i = 0 while i <= itot by 1
    { Urban }
    FC2W(i,jtot1+1) = Default;
    if FC2W(i,jtot1) < fc2w_urb then
      FC2W(i,jtot1+1) = FC2W(i,jtot1);
    endif;
    { Rural }
    FC2W(i,jtot2+1) = Default;
    if FC2W(i,jtot2) < fc2w_rur then
      FC2W(i,jtot2+1) = FC2W(i,jtot2);
    endif;
  enddo;

  { Table FC2C }
  jtot1 = tblcol( FC2C, URBRUR = 1 FHHMEANC = 2 );   { mean for urban }
  jtot2 = tblcol( FC2C, URBRUR = 2 FHHMEANC = 2 );   { mean for rural }
  itot = tblrow(  FC2C );
  { Means }
  FC2C[*,jtot1] = FC2C[*,jtot1-1] / FC2C[*,jtot1-2];
  FC2C[*,jtot2] = FC2C[*,jtot2-1] / FC2C[*,jtot2-2];
  { Targets }
  do i = 0 while i <= itot by 1
    { Urban }
    FC2C(i,jtot1+1) = Default;
    if FC2C(i,jtot1) < FC2C_urb then
      FC2C(i,jtot1+1) = FC2C(i,jtot1);
    endif;
    { Rural }
    FC2C(i,jtot2+1) = Default;
    if FC2C(i,jtot2) < FC2C_rur then
      FC2C(i,jtot2+1) = FC2C(i,jtot2);
    endif;
  enddo;
  
{{Men}
  { Table FC2M }
  jtot1 = tblcol( FC2M, URBRUR = 1 FHHMEANM = 2 );   { mean for urban }
  jtot2 = tblcol( FC2M, URBRUR = 2 FHHMEANM = 2 );   { mean for rural }
  itot = tblrow(  FC2M );
  { Means }
  FC2M[*,jtot1] = FC2M[*,jtot1-1] / FC2M[*,jtot1-2];
  FC2M[*,jtot2] = FC2M[*,jtot2-1] / FC2M[*,jtot2-2];
  { Targets }
  do i = 0 while i <= itot by 1
    { Urban }
    FC2M(i,jtot1+1) = Default;
    if FC2M(i,jtot1) < FC2M_urb then
      FC2M(i,jtot1+1) = FC2M(i,jtot1);
    endif;
    { Rural }
    FC2M(i,jtot2+1) = Default;
    if FC2M(i,jtot2) < FC2M_rur then
      FC2M(i,jtot2+1) = FC2M(i,jtot2);
    endif;
  enddo;
{Men}}

  { Table FC3W }
  jtot = tblcol( FC3W );
  jmax = jtot - 2;
  { Percents }
  do j = 0 while j <= jmax by 1
    FC3W[*,j] = FC3W[*,j] * 100 / FC3W[*,jtot];
  enddo;
  { Total }
  FC3W[*,jtot-1] = tblsum( column FC3W[*,0:jmax] );

  { Table FC3C }
  jtot = tblcol( FC3C );
  jmax = jtot - 2;
  { Percents }
  do j = 0 while j <= jmax by 1
    FC3C[*,j] = FC3C[*,j] * 100 / FC3C[*,jtot];
  enddo;
  { Total }
  FC3C[*,jtot-1] = tblsum( column FC3C[*,0:jmax] );
  
{{Men}
  { Table FC3M }
  jtot = tblcol( FC3M );
  jmax = jtot - 2;
  { Percents }
  do j = 0 while j <= jmax by 1
    FC3M[*,j] = FC3M[*,j] * 100 / FC3M[*,jtot];
  enddo;
  { Total }
  FC3M[*,jtot-1] = tblsum( column FC3M[*,0:jmax] );
{Men}}

  { Table FC4W }
  j15  = tblcol( FC4W, Fage = 15 );
  j14  = tblcol( FC4W, Fage = 14 );
  jtot = tblcol( FC4W );
  itot = tblrow( FC4W );
  { Ratios }
  FC4W[*,jtot-1] = FC4W[*,j15] / FC4W[*,j14];
  { Target }
  do i = 0 while i <= itot by 1
    FC4W(i,jtot) = Default;
    if FC4W(i,jtot-1) <= fc4w_tar then
      FC4W(i,jtot) = FC4W(i,jtot-1);
    endif;
  enddo;

  { Table FC4C }
  j5  = tblcol( FC4C, fagec = 5 );
  j4  = tblcol( FC4C, fagec = 4 );
  jtot = tblcol( FC4C );
  itot = tblrow( FC4C );
  { Ratios }
  FC4C[*,jtot-1] = FC4C[*,j4] / FC4C[*,j5];
  { Target }
  do i = 0 while i <= itot by 1
    FC4C(i,jtot) = Default;
    if FC4C(i,jtot-1) <= FC4C_tar then
      FC4C(i,jtot) = FC4C(i,jtot-1);
    endif;
  enddo;
  
{{Men}
  { Table FC4M }
  j15  = tblcol( FC4M, Fagem = 15 );
  j14  = tblcol( FC4M, Fagem = 14 );
  jtot = tblcol( FC4M );
  itot = tblrow( FC4M );
  { Ratios }
  FC4M[*,jtot-1] = FC4M[*,j15] / FC4M[*,j14];
  { Target }
  do i = 0 while i <= itot by 1
    FC4M(i,jtot) = Default;
    if FC4M(i,jtot-1) <= FC4M_tar then
      FC4M(i,jtot) = FC4M(i,jtot-1);
    endif;
  enddo;
{Men}}

  { Table FC5 }
  jtot = tblcol( FC5 );
  itot = tblrow( FC5 );
  { Means }
  FC5[*,jtot-1] = FC5[*,1] / FC5[*,0];
  { Target }
  do i = 0 while i <= itot by 1
    FC5(i,jtot) = Default;
    if FC5(i,jtot-1) <= fc5_tar then
      FC5(i,jtot) = FC5(i,jtot-1);
    endif;
  enddo;
  
  { Table FC6 }
  jtot = tblcol( FC6 );
  itot = tblrow( FC6 );
  jmax = jtot - 2;
  { Percents }
  do i = 1 while i <= itot by 2
    FC6[i,*] = FC6[i,*] * 100 / FC6[i-1,*];
  enddo;
  { Total }
  do i = 0 while i <= itot by 2
    FC6[i,jtot-2] = tblsum( column FC6[i,0:jmax-1] );
  enddo;
  { Minimum }
  FC6 [i,jtot -1] = Default;
  do i = 1 while i <= itot by 2
    rrmin = FC6 (i,0);
    do j = 1 while j <=jmax by 1
      if (FC6(i,j) < rrmin) then
        rrmin = FC6 (i,j);
      endif; 
      FC6 (i,jtot - 1) = rrmin;  		  
    enddo;        
  enddo;  
  { Target }
  FC6(i,jtot) = Default;
  do i = 1 while i <= itot by 2
    if FC6(i,jtot-1) <= fc6_tar then
      FC6(i,jtot) = FC6(i,jtot-1);
    endif;
    FC6(i-1,jtot-1) = default;
    FC6(i-1,jtot) = default;
  enddo;
  
{{Men}
  { Table FC6M }
  jtot = tblcol( FC6M );
  itot = tblrow( FC6M );
  jmax = jtot - 2;
  { Percents }
  do i = 1 while i <= itot by 2
    FC6M[i,*] = FC6M[i,*] * 100 / FC6M[i-1,*];
  enddo;
  { Total }
  do i = 0 while i <= itot by 2
    FC6M[i,jtot-2] = tblsum( column FC6M[i,0:jmax-1] );
  enddo;
  { Minimum }
  FC6M [i,jtot -1] = Default;
  do i = 1 while i <= itot by 2
    rrmin = FC6M (i,0);
    do j = 1 while j <=jmax by 1
      if (FC6M(i,j) < rrmin) then
        rrmin = FC6M (i,j);
      endif; 
      FC6M (i,jtot - 1) = rrmin;  		  
    enddo;        
  enddo;  
  { Target }
  FC6M(i,jtot) = Default;
  do i = 1 while i <= itot by 2
    if FC6M(i,jtot-1) <= FC6M_tar then
      FC6M(i,jtot) = FC6M(i,jtot-1);
    endif;
    FC6M(i-1,jtot-1) = default;
    FC6M(i-1,jtot) = default;    
  enddo;
{Men}}

  { Table FC7W }
  jtot = tblcol( FC7W, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC7W );
  { Percents }
  do j = 0 while j <= jmax by 1
    FC7W[*,j] = FC7W[*,j] * 100 / FC7W[*,jtot];
  enddo;
  { Total }
  FC7W[*,jtot-1] = tblsum( column FC7W[*,0:jmax] );
  { Target }
  do i = 0 while i <= itot by 1
    FC7W(i,jtot+1) = Default;
    if FC7W(i,0) <= FC7_tar then
      FC7W(i,jtot+1) = FC7W(i,0);
    endif;
  enddo;
  
  { Table FC7C }
  jtot = tblcol( FC7C, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC7C );
  { Percents }
  do j = 0 while j <= jmax by 1
    FC7C[*,j] = FC7C[*,j] * 100 / FC7C[*,jtot];
  enddo;
  { Total }
  FC7C[*,jtot-1] = tblsum( column FC7C[*,0:jmax] );
  { Target }
  do i = 0 while i <= itot by 1
    FC7C(i,jtot+1) = Default;
    if FC7C(i,0) <= FC7_tar then
      FC7C(i,jtot+1) = FC7C(i,0);
    endif;
  enddo;
  
{{Men}
  { Table FC7M }
  jtot = tblcol( FC7M, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC7M );
  { Percents }
  do j = 0 while j <= jmax by 1
    FC7M[*,j] = FC7M[*,j] * 100 / FC7M[*,jtot];
  enddo;
  { Total }
  FC7M[*,jtot-1] = tblsum( column FC7M[*,0:jmax] );
  { Target }
  do i = 0 while i <= itot by 1
    FC7M(i,jtot+1) = Default;
    if FC7M(i,0) <= FC7_tar then
      FC7M(i,jtot+1) = FC7M(i,0);
    endif;
  enddo;
{Men}}

  { Table FC8W }
  jtot = tblcol( FC8W, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC8W );
  { Percents }
  {start from 1, not 0 as first column handled separately }
  do j = 1 while j <= jmax by 1
    FC8W[*,j] = FC8W[*,j] * 100 / FC8W[*,jtot];
  enddo;
  FC8W[*,0] = FC8W[*,0] / FC8H[*,1];	{ For child dispcipline only - based on number of households }

  { Table FC8C }
  jtot = tblcol( FC8C, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC8C );
  { Percents }
  do j = 0 while j <= jmax by 1
    FC8C[*,j] = FC8C[*,j] * 100 / FC8C[*,jtot];
  enddo;
  
{{Men}
  { Table FC8M }
  jtot = tblcol( FC8M, ftotaln );
  jmax = jtot - 2;
  itot = tblrow( FC8M );
  { Percents }
  do j = 0 while j <= jmax by 1
    FC8M[*,j] = FC8M[*,j] * 100 / FC8M[*,jtot];
  enddo;
{Men}}

  { Table FC9 }
  jtot  = tblcol( FC9, Fbcert2 = 1 );
  jmax  = jtot - 1;
  itot  = tblrow( FC9 );
  { Proportion }
  FC9[*,jtot+1] = FC9[*,1] * 100 / FC9[*,0];
  { Percents }
  do j = 0 while j <= jmax by 1
    FC9[*,j] = FC9[*,j] * 100 / FC9[*,jtot];
  enddo;
  { Target }
  do i = 0 while i <= itot by 1
    FC9(i,jtot+2) = Default;
    if FC9(i,jtot+1) < fc9_tar then
      FC9(i,jtot+2) = FC9(i,jtot+1);
    endif;
  enddo;

  { Table FC10 }
  jtot  = tblcol( FC10, Fcardr );
  jmax  = jtot - 1;
  itot  = tblrow( FC10 );
  { Proportion }
  FC10[*,jtot+1] = FC10[*,1] * 100 / FC10[*,0];
  { Percents }
  do j = 0 while j <= jmax by 1
    FC10[*,j] = FC10[*,j] * 100 / FC10[*,jtot];
  enddo;
  { Target }
  do i = 0 while i <= itot by 1
    FC10(i,jtot+2) = Default;
    if FC10(i,jtot+1) < fc10_tar then
      FC10(i,jtot+2) = FC10(i,jtot+1);
    endif;
  enddo;


  { Table FC11 }
  jtot = tblcol( FC11, Ftotalc2 );
  jmax = jtot - 2;
  { % with h/w out of range }
  FC11[*,jtot+1] = FC11[*,jtot+1] * 100 / FC11[*,0];
  { % date of birth incomplete }
  FC11[*,jtot+2] = FC11[*,jtot+2] * 100 / FC11[*,0];
  { Percents }
  do j = 0 while j <= jmax by 1
    FC11[*,j] = FC11[*,j] * 100 / FC11[*,jtot];
  enddo;
  FC11[*,jtot-1] = tblsum( column FC11[*,0:jmax] );
  
   { Table FC12 }
  jtot = tblcol( FC12, Ftotalc2 );
  jmax = jtot - 2;
  { Percents }
  do j = 0 while j <= jmax by 1
    FC12[*,j] = FC12[*,j] * 100 / FC12[*,jtot];
  enddo;
  FC12[*,jtot-1] = tblsum( column FC12[*,0:jmax] );


PROC HH
preproc

  URBRUR = HH6;
  Fteams = HH4;	{ based on supervisor code }
  
  Fteams_t6 = Fteams;
   
  { Table FC1 }
  xtab( FC1 );

  { skip incomplete households }
  if HH9 <> 1 then skip case endif;

postproc

  { Table FC2W }
  Fhhmean  = 0;        { number of complete households }
  xtab( FC2W );
  Fhhmean = 1;         { to count number of women }
  for i in MODHL_EDT do
    if HL4 = 2 & HL7 <> 0 then   { eligible women }
      xtab( FC2W );
    endif;
  enddo;

  { Table FC2C }
  Fhhmeanc  = 0;       { number of complete households }
  xtab( FC2C );
  Fhhmeanc = 1;        { to count number of children }
  for i in MODHL_EDT do
    if HL9 <> 0 then   { eligible children }
      xtab( FC2C );
    endif;
  enddo;
  
{{Men}
  { Table FC2M }
  Fhhmeanm = 0;        { number of complete households }
  xtab( FC2M );
  Fhhmeanm = 1;        { to count number of men }
  for i in MODHL_EDT do
    if HL4 = 1 & HL7A <> 0 then   { eligible men }
      xtab( FC2M );
    endif;
  enddo;
{Men}}

  { Table FC4W, FC4C, FC4M }
  for i in MODHL_EDT do

    if HL4 = 2 & HL6 in 12:18 then      { women age 12:18 }
      Fage = HL6(i);
      xtab( FC4W );
    endif;

    if HL6 in 3:8 then                  { children 3:8 }
      Fagec = HL6(i);
      xtab( FC4C );
    endif;
{{Men}
    if HL4 = 1 & HL6 in 12:18 then      { men age 12:18 }
      Fagem = HL6(i);
      xtab( FC4M );
    endif;
{Men}}
  enddo;

  { Table FC8W - just for child discipline from household questionnaire }
  xtab( FC8H );
  ftotaln = notappl;
  fcompd = 1; 
  { weight by sum of questions with response "yes" }
  xtab( FC8W, (CD11=1)+(CD12=1)+(CD13=1)+(CD14=1)+(CD15=1)+(CD16=1)+(CD17=1)+(CD18=1)+(CD19=1)+(CD20=1)+(CD21=1) );
  ftotaln = 1;

PROC WMMNCH

  if HL7(LN) then        { women }

    { Table FC3W}
    xtab( FC3W );
    
    { Table FC6}
    fwmrate = 1;
    Fagew1 = int(HL6(LN) / 5)-2;
    xtab( FC6 );
   
    if WM7 = 1 then   { interviewed women }
      fwmrate = 2;
      xtab( FC6 ); 
    endif;

    { skip incomplete individual interviews }
    
    if WM7 <> 1 then skip case endif;

    { Tables FC5 }
    Fceb = 1;   { All completed women }
    xtab( FC5 );
    Fceb = 2;   { Children ever born }
    xtab( FC5, CM10 );

    { Tables FC7W  }
    ismonth = valid(WB1M);
    isyear  = validyr(WB1Y);
    isage   = valid(WB2);
    box isyear : ismonth : isage => Fcompl;
             1 :       1 :       => 1;
             1 :       0 :     1 => 2;
             1 :       0 :     0 => 3;
             0 :       0 :     1 => 4;
               :         :       => 5;
    endbox;
    xtab( FC7W );

    { Tables FC8W }
    fcompd = notappl;
    xtab( FC8W );
    ftotaln = notappl;
    if CM13 in "Y","O","S" then
      fcompd = 2; 
      xtab( FC8W );
    endif;
    if CP1 = 1 then
      fcompd = 3; 
      xtab( FC8W );
    endif;
    if FG1 = 1 then
      fcompd = 4; 
      xtab( FC8W );
    endif;
    if SB1 <> 0 then
      fcompd = 5; 
      xtab( FC8W );
    endif;
    if HA1 = 1 then
      fcompd = 6; 
      xtab( FC8W );
    endif;
    ftotaln = 1;  
    
 { end women }
   
  elseif HL9(LN) then     {+ children +}

    { Table FC3C}
    xtab( FC3C );

    { skip incomplete individual interviews }
    if UF9 <> 1 then skip case endif;

    { Tables FC7C  }
    ismonth = valid(AG1M);
    isyear  = validyr(AG1Y);
    isage   = valid(AG2);
    box isyear : ismonth : isage => Fcompl;
             1 :       1 :       => 1;
             1 :       0 :     1 => 2;
             1 :       0 :     0 => 3;
             0 :       0 :     1 => 4;
               :         :       => 5;
    endbox;
    xtab( FC7C );

    { Tables FC8C  }
    if CA1 = 1 then Fdiarrheap = 1 else Fdiarrheap = notappl endif;
    if CA7 = 1 then Fcoughp = 1 else Fcoughp = notappl endif;
    if ML1 = 1 then Ffeverp = 1 else Ffeverp = notappl endif;
    xtab( FC8C );

    { Tables FC9  }
    Fbcert1 = notappl;
    Fbcert2 = 1;
    xtab( FC9 );
    Fbcert2 = notappl;
    if BR1 in 1,2 then
      Fbcert1 = 1;
      xtab( FC9 );
    endif;
    if BR1 = 1 then
      Fbcert1 = 2;
      xtab( FC9 );
    endif;
    if BR2 = 1 then
      Fbcert1 = 3;
      xtab( FC9 );
    endif;
    if BR1 in 1,2 | BR2 = 1 then
      Fbcert1 = 4;
      xtab( FC9 );
    endif;

    { Tables FC10 }
    if IM1 in 1,2  then   { with a vacination card }
      fcardr = 1;
      xtab( FC10 );
    endif;
    if IM1 = 1 then       { vaccination card seen }
      fcardr = 2;
      xtab( FC10 );
    endif;
    fcardr = 3;           { all children }
    xtab( FC10 );


    { Tables FC11 }
    Fhwc  = notappl;
    fwc11 = AN2;
    if AN2 = missing then fwc11 = 9 endif;
    valdate  = ( valid(AG1M) & validyr(AG1Y) );
    if AN2 = 1 & valdate then         { measure with a valid date of birth }
      hwage   = cmcode(UF8M,UF8Y) - cmcode(AG1M,AG1Y);
      wvalue = AN3 * 10;            { !! multiply by 10 if field store with decimals in weight }
      hvalue = AN4 * 10;            { !! multiply by 10 if field store with decimals in height }
      hwsex   = HL4(LN);
      if hwsex = 1 then
        box hwage : wvalue  => hwerr;
             0- 2 :  05- 100 => 0;
             3- 5 :  10- 130 => 0;
             6- 8 :  20- 150 => 0;
             9-11 :  30- 165 => 0;
            12-14 :  40- 175 => 0;
            15-17 :  40- 185 => 0;
            18-20 :  40- 195 => 0;
            21-23 :  45- 205 => 0;
            24-26 :  45- 230 => 0;
            27-29 :  50- 240 => 0;
            30-32 :  50- 245 => 0;
            33-35 :  50- 255 => 0;
            36-38 :  50- 260 => 0;
            39-41 :  50- 270 => 0;
            42-44 :  50- 290 => 0;
            45-47 :  50- 290 => 0;
            48-50 :  50- 300 => 0;
            51-53 :  50- 310 => 0;
            54-56 :  55- 320 => 0;
            57-60 :  55- 330 => 0;
            61-72 :  55- 340 => 0;
                  :          => 1;
        endbox
      else  { Female }
        box hwage : wvalue  => hwerr;
             0- 2 :  05-  90 => 0;
             3- 5 :  10- 120 => 0;
             6- 8 :  20- 140 => 0;
             9-11 :  25- 155 => 0;
            12-14 :  30- 165 => 0;
            15-17 :  35- 175 => 0;
            18-20 :  35- 185 => 0;
            21-23 :  40- 195 => 0;
            24-26 :  45- 215 => 0;
            27-29 :  50- 230 => 0;
            30-32 :  50- 245 => 0;
            33-35 :  50- 255 => 0;
            36-38 :  50- 270 => 0;
            39-41 :  50- 290 => 0;
            42-44 :  55- 290 => 0;
            45-47 :  55- 300 => 0;
            48-50 :  55- 310 => 0;
            51-53 :  55- 320 => 0;
            54-56 :  60- 330 => 0;
            57-60 :  60- 345 => 0;
            61-72 :  60- 360 => 0;
                  :          => 1;
        endbox
      endif;
        
      if hwsex = 1 then
 		 recode hwage : hvalue  => hwerr;
    	  		 0- 2 : 360- 740 => 0;
          		 3- 5 : 450- 830 => 0;
          		 6- 8 : 510- 870 => 0;
          		 9-11 : 560- 910 => 0;
          		12-14 : 590- 960 => 0;
          		15-17 : 620-1000 => 0;
          		18-20 : 640-1040 => 0;
          		21-23 : 650-1070 => 0;
          		24-26 : 670-1090 => 0;
          		27-29 : 690-1120 => 0;
          		30-32 : 700-1150 => 0;
          		33-35 : 710-1190 => 0;
          		36-38 : 730-1210 => 0;
          		39-41 : 740-1240 => 0;
          		42-44 : 750-1270 => 0;
          		45-47 : 770-1299 => 0;
          		48-50 : 790-1320 => 0;
          		51-53 : 790-1340 => 0;
          		54-56 : 900-1360 => 0;
          		57-60 : 820-1390 => 0;
          		61-72 : 820-1400 => 0;
           		 0-72 : 9999     => 0;
               	      :          => 1;
 		 endrecode
      else
 		 recode hwage : hvalue   => hwerr;
         		 0- 2 : 360- 720 => 0;
           	     3- 5 : 440- 900 => 0;
           		 6- 8 : 500- 860 => 0;
           		 9-11 : 540- 900 => 0;
		        12-14 : 570- 950 => 0;
          	    15-17 : 600- 990 => 0;
                18-20 : 620-1020 => 0;
                21-23 : 640-1060 => 0;
                24-26 : 660-1070 => 0;
                27-29 : 690-1110 => 0;
                30-32 : 690-1140 => 0;
                33-35 : 710-1170 => 0;
                36-38 : 720-1200 => 0;
                39-41 : 740-1220 => 0;
                42-44 : 750-1240 => 0;
                45-47 : 770-1269 => 0;
                48-50 : 790-1290 => 0;
                51-53 : 790-1310 => 0;
                54-56 : 810-1330 => 0;
                57-60 : 810-1360 => 0;
                61-72 : 810-1370 => 0;
                 0-72 : 9999     => 0;
                      :          => 1;
         endrecode
      endif;
        
      if hwerr then Fhwc = 1 endif;

    endif;                                { end children measured with valid date of birth }

    if !valdate then fhwc = 2 endif;      { incomplete date }
    xtab( FC11 );

    { Tables FC12 }
    Foedema = AN5; 
    if AN2 <> 1 then Foedema = 7 endif;
    if AN5 = missing then Foedema = 9 endif;
    xtab( FC12 );

{End of children tables}
    
{{Men}

  elseif HL7A(LN) then        { men }

   { Table FC3M}
    xtab( FC3M );

    { Table FC6M}
    fmnrate = 1;
    Fagem1 = int(HL6(LN) / 5)-2;
    xtab( FC6M );
   
    if MWM7 = 1 then   { interviewed men }
      fmnrate = 2;
      xtab( FC6M ); 
    endif;

    { Tables FC7M  }
    ismonth = valid(MWB1M);
    isyear  = validyr(MWB1Y);
    isage = valid(MWB2);
    box isyear : ismonth : isage => Fcompl;
             1 :       1 :       => 1;
             1 :       0 :     1 => 2;
             1 :       0 :     0 => 3;
             0 :       0 :     1 => 4;
               :         :       => 5;
    endbox;
    xtab( FC7M );

    { Tables FC8M }
    fcompm = notappl;
    xtab( FC8M );
    if MSB1 <> 0 then
      fcompm = 5; 
      xtab( FC8W );
    endif;
    if HA1 = 1 then
      fcompm = 6; 
      xtab( FC8M );
    endif;
{Men}}  
  endif;                                   
