{Application 'CHECK' logic file generated by CSPro }

PROC GLOBAL
set explicit;
numeric i,chhtot, chhcmp, chhinc, chh12, chh13, chh13a, chh13b, 
  cewmfnd, ciwmfnd, xewmfnd, xiwmfnd, cemmfnd, cimmfnd, xemmfnd, ximmfnd,
  chh14, chh15, cechfnd, cichfnd, xechfnd, xichfnd, wcluster, whnumber, 
  t, errorsfound;

function NAtoZero(xvar);
  if xvar = notappl then
    xvar = 0
  endif;
  NAtoZero = xvar;
end;



PROC MICS4_FF

preproc

  { Cluster  Totals }
  chhtot  = 0;              {Total households                               }
  chhcmp  = 0;              {Total completed households                     }
  chhinc  = 0;              {Total incomplete households                    }
  chh12   = 0;              {Total eligible women from HH12                 }
  chh13   = 0;              {Total eligible women interviewed from HH13     }
  chh13a  = 0;              {Total eligible men from HH13a                  }
  chh13b  = 0;              {Total eligible men interviewed from HH13b      }
  cewmfnd = 0;              {Total eligible women found                     }
  ciwmfnd = 0;              {Total interviewed women found                  }
  cemmfnd = 0;              {Total eligible men found                     }
  cimmfnd = 0;              {Total interviewed men found                  }
  chh14   = 0;              {Total eligible children from HH14              }
  chh15   = 0;              {Total eligible children interviewed from HH15  }
  cechfnd = 0;              {Total eligible children found                  }
  cichfnd = 0;              {Total interviewed children found               }
 
postproc

  { Print out cluster questionnaire counts }
  write("                                                       ");
  write("                                                       ");
{+EN}
  write("MICS4 Data Structure Check                             ");
  write("Cluster:   %d                                          ",wcluster);
  write("                                                       ");
  write("    Households    |         Women            |           men            |        Children    ");
  write("Total Comp Incomp |  Eligible    Interviewed |  Eligible    Interviewed |  Eligible    Interviewed");
  write("                  | HH12 FOUND   HH13  FOUND | HH13A FOUND  HH13B FOUND | HH14 FOUND   HH15  FOUND");
{EN+}  
{{ES}
  write("MICS4 Verificacion de la estructura de datos            ");
  write("Conglomerado:   %d                                          ",wcluster);
  write("                                                       ");
  write("    Hogares       |        Mujeres           |             Nios        ");
  write("Total Comp Incomp |  Elegibles  Entrevistadas|  Elegibles  Entrevistados");
  write("                  | HH12 ENCONT  HH13 ENCONT | HH14 ENCONT  HH15 ENCONT ");
{ES}}  
{{FR}
  write("MICS4 Controle structure des donnes                   ");
  write("Grappe:  %d                                            ",wcluster);
  write("                                                       ");
  write("    Menage        |          Femmes          |          Enfants         ");
  write("Total Comp Incomp |  Eligibles    Complts  |  Eligibles    Complts  ");
  write("                  | HH12 TROUVES HH13 TROUVES| HH14 TROUVES HH15 TROUVES");
{FR}}  
  write("%5d%5d%7d |%5d%6d%7d%7d |%5d%6d%7d%7d |%5d%6d%7d%7d",
        chhtot,chhcmp,chhinc,chh12,cewmfnd,chh13,ciwmfnd,chh13a,cemmfnd,chh13b,cimmfnd,chh14,cechfnd,chh15,cichfnd);
  write("                                                       ");
  write("                                                       ");
  
   { check cluster's counts of women }
  if chh12  <> cewmfnd then
    errmsg(3101,wcluster,cewmfnd,chh12)
  endif;
  if chh13  <> ciwmfnd then
    errmsg(3102,wcluster,ciwmfnd,chh13)
  endif;

    { check cluster's counts of men }
  if chh13a  <> cemmfnd then
    errmsg(3101,wcluster,cemmfnd,chh13a)
  endif;
  if chh13b  <> cimmfnd then
    errmsg(3102,wcluster,cimmfnd,chh13b)
  endif; 
  { check cluster's counts of children }
  if chh14  <> cechfnd then
    errmsg(3201,wcluster,cechfnd,chh14)
  endif;
  if chh15  <> cichfnd then
    errmsg(3202,wcluster,cichfnd,chh15)
  endif;
  
   { check against cluster tracking info }
  TCLUSTER = HH1;
  t = loadcase(cluster_tracking_dict, TCLUSTER);
  if t then
  	{ Check that number of found hh questionnaires is the same as in tracking info }
  	if TNUMHHQUEST <> chhtot then
  		errmsg(3301, TCLUSTER, chhtot, TNUMHHQUEST);
	    errorsfound = errorsfound + 1;
  	endif;
  	
  	{ Check that number of completed hh questionnaires is the same as in tracking info }
  	if TNUMHHCOMP <> chhcmp then
  		errmsg(3302, TCLUSTER, chhcmp, TNUMHHCOMP);
	    errorsfound = errorsfound + 1;
  	endif;
  	
  	{ Check that number of found women questionnaires is the same as in tracking info }
  	if TNUMWMQUEST <> cewmfnd then
  		errmsg(3303, TCLUSTER, cewmfnd, TNUMWMQUEST);
  	    errorsfound = errorsfound + 1;
  	endif;
  	
  	{ Check that number of completed questionnaires is the same as in tracking info }
  	if TNUMWMCOMP <> ciwmfnd then
  		errmsg(3304, TCLUSTER, ciwmfnd, TNUMWMCOMP);
  	    errorsfound = errorsfound + 1;
	endif;

  	{ Check that number of found men questionnaires is the same as in tracking info }
  	if TNUMMMQUEST <> cemmfnd then
  		errmsg(3303, TCLUSTER, cemmfnd, TNUMMMQUEST);
  	    errorsfound = errorsfound + 1;
  	endif;
  	
  	{ Check that number of completed questionnaires is the same as in tracking info }
  	if TNUMMMCOMP <> cimmfnd then
  		errmsg(3304, TCLUSTER, cimmfnd, TNUMMMCOMP);
  	    errorsfound = errorsfound + 1;
	endif;


  	{ Check that number of found questionnaires is the same as in tracking info }
  	if TNUMCHQUEST <> cechfnd then
  		errmsg(3305, TCLUSTER, cechfnd, TNUMCHQUEST);
  	    errorsfound = errorsfound + 1;
	endif;
  	
  	{ Check that number of completed questionnaires is the same as in tracking info }
  	if TNUMCHCOMP <> cichfnd then
  		errmsg(3306, TCLUSTER, cichfnd, TNUMCHCOMP);
  	    errorsfound = errorsfound + 1;
	endif;
	
	{ If no errors found, set structure check complete date in tracking info }
	if errorsfound = 0 then
		TCHECK = sysdate("DDMMYYYY");
		t = writecase(cluster_tracking_dict, tcluster);
		close(cluster_tracking_dict);
	endif;
  else 
  	errmsg(4001);
  endif;
  
    { Write summary to user }
  write("");
  write("============================================================");
  if errorsfound = 0 then
  {+EN} write("NO ERRORS FOUND --- PROCEED TO VERIFICATION DATA ENTRY");              {EN+}
  {{ES} write("NO SE ENCONTRARON ERRORES --- PROSIGA A LA VERIFICACION DE LOS DATOS");{ES}}
  {{FR} write("PAS D'ERREUR TROUVEE --- PROCEDER A LA DOUBLE SAISIE");                {FR}}
  else
  {+EN} write("STRUCTURE ERRORS FOUND --- PLEASE CORRECT THE DATA FILE");               {EN+}
  {{ES} write("HAY ERRORES ESTRUCTURALES EN LOS DATOS --- CORRIJA EL ARCHIVO DE DATOS");{ES}}
  {{FR} write("ERREURS DE STRUCTURE TROUVEES --- SVP CORRIGER LA FICHIER");             {FR}}
  endif;
  write("============================================================");
  write("");

PROC HH
preproc
  wcluster = HH1;
  whnumber = HH2;
  xewmfnd = 0; { initialize household's count of women's questionnaires           }
  xiwmfnd = 0; { initialize household's count of completed women's interviews     }
  xemmfnd = 0; { initialize household's count of men's questionnaires           }
  ximmfnd = 0; { initialize household's count of completed men's interviews     }
  xechfnd = 0; { initialize household's count of children's questionnaires        }
  xichfnd = 0; { initialize household's count of completed children's interviews  }

  { Set cluster totals }
  chhtot   = chhtot + 1;
  if HH9 = 1 then
    chhcmp = chhcmp + 1
  else
    chhinc = chhinc + 1
  endif;
  chh12 = chh12 + NAtoZero(HH12);
  chh13 = chh13 + NAtoZero(HH13);
  chh13a = chh13a + NAtoZero(HH13a);
  chh13b = chh13b + NAtoZero(HH13b);
  chh14 = chh14 + NAtoZero(HH14);
  chh15 = chh15 + NAtoZero(HH15);

postproc
 
   { check household's counts of women }
  if NAtoZero(HH12)  <> xewmfnd then
    errmsg(3111,hh2,xewmfnd,hh12);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH13)  <> xiwmfnd then
    errmsg(3112,hh2,xiwmfnd,hh13);
    errorsfound = errorsfound + 1;
  endif;
   { check household's counts of men }
  if NAtoZero(HH13A)  <> xemmfnd then
    errmsg(3111,hh2,xemmfnd,hh13A);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH13B)  <> ximmfnd then
    errmsg(3112,hh2,ximmfnd,hh13B);
    errorsfound = errorsfound + 1;
  endif;

  { check household's counts of children }
  if NAtoZero(HH14)  <> xechfnd then
    errmsg(3211,hh2,xechfnd,hh14);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH15)  <> xichfnd then
    errmsg(3212,hh2,xichfnd,hh15);
    errorsfound = errorsfound + 1;
  endif;


  { Print out household questionnaire counts }
  write("                                                       ");
  write("                                                       ");
{+EN} 
  write("MICS4 Data Structure Check                              ");
  write("Household:   %d                                        ",whnumber);
  write("Result:      %d                                        ",HH9);
{EN+}  
{{ES} 
  write("MICS4 Verificacion de la estructura de los datos       ");
  write("Hogar:       %d                                        ",whnumber);
  write("Resultado:   %d                                        ",HH9);
{ES}}
{{FR} 
  write("MICS4 Structure des donnes                            ");
  write("Menage:      %d                                        ",whnumber);
  write("Resultat:    %d                                        ",HH9);
{FR}}  
  write("                                                       ");
  if HH9 = 1 then
{+EN}  
    write("        Women            |          Men            |          Children       ");
    write(" Eligible    Interviewed | Eligible    Interviewed |  Eligible    Interviewed");
    write("HH12 FOUND   HH13  FOUND |HH13A FOUND HH13B  FOUND | HH14 FOUND   HH15  FOUND");
{EN+}  
{{ES}  
    write("          Mujeres              |               Nios           ");
    write(" Elegibles        Entrevistadas| Elegibles        Entrevistados");
    write("HH12 TROUVEES   HH13  TROUVEES | HH14 TROUVEES   HH15  TROUVEES");
{ES}}  
{{FR}  
    write("         Femmes          |         Enfants         ");
    write(" Eligibles     Complts |  Eligibles    Complts ");
    write("HH12 TROUVE  HH13  TROUVE| HH14 TROUVE HH15  TROUVE");
{FR}}    
    write("%5d%6d%7d%7d |%5d%6d%7d%7d |%5d%6d%7d%7d",
          HH12,xewmfnd,HH13,xiwmfnd,HH13A,xemmfnd,HH13B,ximmfnd,HH14,xechfnd,HH15,xichfnd);


    write("                                                                             ");
    write("                                                                             ");
  endif;
  
  { check household's counts of women }
  if NAtoZero(HH12)  <> xewmfnd then
    errmsg(3111,hh2,xewmfnd,hh12);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH13)  <> xiwmfnd then
    errmsg(3112,hh2,xiwmfnd,hh13);
    errorsfound = errorsfound + 1;
  endif;
    { check household's counts of men }
  if NAtoZero(HH13A)  <> xemmfnd then
    errmsg(3111,hh2,xemmfnd,hh13A);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH13B)  <> ximmfnd then
    errmsg(3112,hh2,ximmfnd,hh13B);
    errorsfound = errorsfound + 1;
  endif;

  { check household's counts of children }
  if NAtoZero(HH14)  <> xechfnd then
    errmsg(3211,hh2,xechfnd,hh14);
    errorsfound = errorsfound + 1;
  endif;
  if NAtoZero(HH15)  <> xichfnd then
    errmsg(3212,hh2,xichfnd,hh15);
    errorsfound = errorsfound + 1;
  endif;
 
PROC WMMNCH
preproc
  if HL7(LN) <> 0 then    { if this case is an eligible woman}
    cewmfnd = cewmfnd + 1;
    xewmfnd = xewmfnd + 1;
    if WM7 = 1 then { if interview completed}
      ciwmfnd = ciwmfnd + 1;
      xiwmfnd = xiwmfnd + 1;
    endif
  elseif  HL7A(LN) <> 0 then                 { if this case is an eligible men}
    cemmfnd = cemmfnd + 1;
    xemmfnd = xemmfnd + 1;
    if MWM7 = 1 then { if interview completed}
      cimmfnd = cimmfnd + 1;
      ximmfnd = ximmfnd + 1;
    endif
  else                    { if this case is an eligible child}
    cechfnd = cechfnd + 1;
    xechfnd = xechfnd + 1;
    if UF9 = 1 then { if interview completed}
      cichfnd = cichfnd + 1;
      xichfnd = xichfnd + 1;
    endif
  endif;

